BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Specifies styles for representations of numeric values.

define the presence and/or location of various elements in a representation of a numeric value. For example, the style describes strings where the numeric value is enclosed in parenthesis, such as "(432.00)".

Where symbols such as a currency symbol are allowed in a pattern, a instance defines the representations of the symbols.

values are passed to methods that convert between and numeric data types, such as the methods implemented by numeric base types. To specify multiple values, use the bitwise OR operator.

For a list of the valid white space characters, see the class.

- Field
  System.Globalization.NumberStyles AllowCurrencySymbol

  Specifies that a currency symbol is allowed. See .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowDecimalPoint

  Specifies that a decimal point is allowed. See , , and .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowExponent

  Specifies that exponential notation is allowed.

  This style is used for values in one of the following forms:

  [-]m.ddddddE+xx

  [-]m.ddddddE-xx

  [-]m.dddddde+xx

  [-]m.dddddde-xx

  One or more non-zero digits (m) precede the decimal separator ("."). A minus sign ("-") can precede m. The type performing the conversion determines the number of decimal places (dddddd) in the string, and maximum and minimum values for xx and m. The exponent (+/-xx) consists of either a plus or minus sign followed by at least one digit.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowHexSpecifier

  Specifies that hexadecimal representation (Base 16) is allowed.

  Valid hexadecimal values include the numeric digits 0-9 and the hexadecimal digits A-F, and a-f. The hexadecimal digits can be in upper or lower case. Hexadecimal values can be left-padded with zeros. Strings parsed using this style are not permitted to be prefixed with "0x".

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowLeadingSign

  Specifies that a leading sign symbol is allowed. See and .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowLeadingWhite

  Specifies that the string can be prefixed with white space characters.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowParentheses

  Specifies that one pair of balanced parentheses is allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowThousands

  Specifies that group separators are allowed; for instance, separating the hundreds from the thousands. See , , and .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowTrailingSign

  Specifies that a trailing sign symbol is allowed. See and .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles AllowTrailingWhite

  Specifies that the string can be suffixed with white space characters.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles Any

  Specifies that , , , , , , , and styles are allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles Currency

  Specifies that , , , , , , , and styles are allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles Float

  Specifies that , , , and styles are allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles HexNumber

  Specifies that , , styles are allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles Integer

  Specifies that , , and styles are allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles None

  Specifies that no styles are allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Globalization.NumberStyles Number

  Specifies that , , , , and styles are allowed.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0